You are not logged in.

#51 2010-12-02 14:38:30

pussi
Member
Registered: 2009-05-09
Posts: 15

Re: Xfce 4.8 pre1

magicrhesus wrote:

Is upower installed ?

yes

$ pacman -S upower
warning: upower-0.9.7-1 is up to date -- reinstalling

Last edited by pussi (2010-12-02 14:39:04)

Offline

#52 2010-12-02 14:41:03

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

and consolekit ?

Offline

#53 2010-12-02 15:30:29

pussi
Member
Registered: 2009-05-09
Posts: 15

Re: Xfce 4.8 pre1

yes consolekit-0.4.1-4 is up to date

Offline

#54 2010-12-03 16:30:26

pussi
Member
Registered: 2009-05-09
Posts: 15

Re: Xfce 4.8 pre1

Oops. Looks like mounting doesn't work either. usb sticks etc. now apper in the thunar side pane when plugged in but if I try to mount them I only get "Not authorized" error message.
Adding dbus-launch to final exec line in .xinitrc had some effect because before that I didn't have trash or anything in the side pane, but apparently I forgot to check if  mounting actually worked hmm
Here's  all the relevant information (from my understanding ) about my system

I have installed:

dbus-1.4.0-1  udev-164-1  polkit-0.98-1  udisks-1.0.2-1  upower-0.9.7-1  consolekit-0.4.1-4

/etc/rc.d/dbus is started

I'm logging in using mingetty and starting X from console by running xinit

.xinitrc:

# X startup stuff
#

export DE="xfce"

LIBGL_ALWAYS_INDIRECT=1 compiz    --sm-disable --indirect-rendering \
    --no-detection --ignore-desktop-hints ccp  &
Esetroot /home/joonas/images/backgrounds/clouds_5230007.JPG &
exec dbus-launch ck-launch-session xfce4-session

I have enabled Policykit Authentication Agent in xfce4-session-settings -> Application Autostart.I have also triple checked that the pkla-files are correct

I have only recently started using desktop environments so all this *kit stuff is new to me so there just might be something I'm missing.

Offline

#55 2010-12-03 22:44:04

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: Xfce 4.8 pre1

pussi wrote:

I have only recently started using desktop environments so all this *kit stuff is new to me so there just might be something I'm missing.

I think there are only few people who fully understand what all this stuff does. You are supposed to have "exec dbus-launch ck-launch-session" YOUR_WM in .xinitrc and then it should magically all work.

I just wanted to say that for me automounting works after I created the pkla files...
After I umount them with thunar they vanish from the sidebar and for remounting with the automounter I need to physically remove it and plug it in again...


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#56 2010-12-04 13:15:25

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

Did you try to stop 'polkit-gnome-authentication-agent-1', I'm not using it, maybe it's conflicting with something else

Offline

#57 2010-12-04 13:16:52

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

Cdh wrote:
pussi wrote:

I have only recently started using desktop environments so all this *kit stuff is new to me so there just might be something I'm missing.

I think there are only few people who fully understand what all this stuff does. You are supposed to have "exec dbus-launch ck-launch-session" YOUR_WM in .xinitrc and then it should magically all work.

I just wanted to say that for me automounting works after I created the pkla files...
After I umount them with thunar they vanish from the sidebar and for remounting with the automounter I need to physically remove it and plug it in again...

Got the same issue, it's quite boring, will try to see if there is already something that has been upstreamed to the Xfce team

Offline

#58 2010-12-04 13:19:52

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

xfce4-settings, xfce-utils, libxfce4util, xfconf, xfce4-session, xfdesktop, xfce4-panel have been updated in both repo and AUR

thunar has also been updated with a patch to avoid some issues with some systrays during file operations

Last edited by magicrhesus (2010-12-04 13:30:07)

Offline

#59 2010-12-04 14:19:57

pussi
Member
Registered: 2009-05-09
Posts: 15

Re: Xfce 4.8 pre1

magicrhesus wrote:

Did you try to stop 'polkit-gnome-authentication-agent-1', I'm not using it, maybe it's conflicting with something else

Tried stopping that and removing from application autostart and restarting X but no difference
Also tried launcing compiz via xfce4-session instead of running it from .xinitrc but that had no effect either

edit: Just realized another thing about my system. I'm running custom built kernel. Is it possible that I'm missing something from my kernel configuration?

Last edited by pussi (2010-12-04 14:23:37)

Offline

#60 2010-12-04 14:25:33

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

pussi wrote:
magicrhesus wrote:

Did you try to stop 'polkit-gnome-authentication-agent-1', I'm not using it, maybe it's conflicting with something else

Tried stopping that and removing from application autostart and restarting X but no difference
Also tried launcing compiz via xfce4-session instead of running it from .xinitrc but that had no effect either

edit: Just realized another thing about my system. I'm running custom built kernel. Is it possible that I'm missing something from my kernel configuration?

I don't think it's linked but you could give a try with the 'official' kernel and let's see what happens

Offline

#61 2010-12-05 21:05:57

txus
Member
Registered: 2008-01-23
Posts: 75

Re: Xfce 4.8 pre1

Offline

#62 2010-12-05 21:20:46

fijam
Member
Registered: 2009-02-03
Posts: 244
Website

Re: Xfce 4.8 pre1

AndyRTR wrote:

I'm the maintainer of the packages in extra. I'm already running the pre1 release on my notebook. It still has a few issues. I'll bring it quickly to testing when it's really safe for daily work. Should be when it becomes pre2.

Does it still stand?

Offline

#63 2010-12-05 21:33:20

AndyRTR
Developer
From: Magdeburg/Germany
Registered: 2005-10-07
Posts: 1,637

Re: Xfce 4.8 pre1

no. there were concerns by other devs bringing unstable packages into testing. and there are still some serious issues. maybe pre3=rc1 will be ready for the testing repo or the final packages will first go to testing. time will tell.

Offline

#64 2010-12-06 09:31:57

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

I'll update AUR and the repos tonight

Offline

#65 2010-12-06 09:32:28

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

pussi wrote:
magicrhesus wrote:

Did you try to stop 'polkit-gnome-authentication-agent-1', I'm not using it, maybe it's conflicting with something else

Tried stopping that and removing from application autostart and restarting X but no difference
Also tried launcing compiz via xfce4-session instead of running it from .xinitrc but that had no effect either

edit: Just realized another thing about my system. I'm running custom built kernel. Is it possible that I'm missing something from my kernel configuration?

Do you have gvfs installed, it seems it's needed to mount/unmount the devices ?

Offline

#66 2010-12-06 12:01:21

pussi
Member
Registered: 2009-05-09
Posts: 15

Re: Xfce 4.8 pre1

magicrhesus wrote:

Do you have gvfs installed, it seems it's needed to mount/unmount the devices ?

yes, gvfs-1.6.6-1 is installed

I still haven't tried with default arch kernel, mainly because it wouldn't boot  but I'll look into that

Offline

#67 2010-12-06 13:37:12

pussi
Member
Registered: 2009-05-09
Posts: 15

Re: Xfce 4.8 pre1

I looked up the xfce4.8 thread in gentoo forums and got at lest mounting working properly now.
all I changed was

dbus-launch exec ck-launch-session xfce4-session

to

exec ck-launch-session dbus-launch --sh-syntax --exit-with-session xfce4-session

in my .xinitrc

For the kernel part looks like you need to enable CONFIG_AUDITSYSCALL for consolekit 0.4.2 and later, which I had disabled but I was running ck 0.4.1 anyway

Offline

#68 2010-12-07 00:10:19

ammon
Member
Registered: 2008-12-11
Posts: 413

Re: Xfce 4.8 pre1

Will new version of thunar support (native) samba, ftp? Like nautilus does.
As I read long ago on some developer blog.
That would be very handy.

Offline

#69 2010-12-07 08:42:43

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

ammon wrote:

Will new version of thunar support (native) samba, ftp? Like nautilus does.
As I read long ago on some developer blog.
That would be very handy.

The one in AUR or in the repo already support mounting of network drives (with GIO & GVFS)

Offline

#70 2010-12-07 16:07:46

zodmaner
Member
Registered: 2007-07-11
Posts: 653

Re: Xfce 4.8 pre1

Can anyone get thunar-devel to mount a CD/DVD? I can mount flash drive just fine, but optical media is no go.


Memento mori

Offline

#71 2010-12-08 05:47:03

crayxt
Member
Registered: 2008-12-19
Posts: 37

Re: Xfce 4.8 pre1

zodmaner wrote:

Can anyone get thunar-devel to mount a CD/DVD? I can mount flash drive just fine, but optical media is no go.

Is your  user in the 'optical' group?


Всем выйти из Сумрака!!!

Уважение - это когда чтобы поприветствовать человека вытаскиваешь оба наушника.
my blog

Offline

#72 2010-12-08 09:05:16

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

AUR and repo for x86_64 are both updated.
repo for i686 will be updated during the day

Offline

#73 2010-12-08 12:42:15

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

repo for i686 has also been updated

Offline

#74 2010-12-08 14:27:10

hungerfish
Member
Registered: 2009-09-13
Posts: 242

Re: Xfce 4.8 pre1

I'm getting:

checking package integrity...
:: File thunar-vfs-devel-1.1.0-3-x86_64.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n] Y
:: File tumbler-devel-0.1.4-2-x86_64.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n] Y
:: File xfce4-appfinder-devel-4.7.1-1-x86_64.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n] Y

whats up?


Beetles and bacteria are vastly more successful than humans in terms of survival.

Offline

#75 2010-12-08 14:49:18

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

hungerfish wrote:

I'm getting:

checking package integrity...
:: File thunar-vfs-devel-1.1.0-3-x86_64.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n] Y
:: File tumbler-devel-0.1.4-2-x86_64.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n] Y
:: File xfce4-appfinder-devel-4.7.1-1-x86_64.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n] Y

whats up?

Strange because in my case it's ok:

> pacman -Sy xfce4-devel
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 xfce4-devel is up to date
warning: exo-devel-0.5.5-2 is up to date -- reinstalling
warning: garcon-devel-0.1.4-1 is up to date -- reinstalling
warning: libxfce4ui-devel-4.7.5-1 is up to date -- reinstalling
warning: libxfce4util-devel-4.7.4-2 is up to date -- reinstalling
warning: terminal-devel-0.4.5-2 is up to date -- reinstalling
warning: thunar-archive-plugin-devel-0.2.4-2 is up to date -- reinstalling
warning: thunar-devel-1.1.5-1 is up to date -- reinstalling
warning: thunar-vfs-devel-1.1.0-3 is up to date -- reinstalling
warning: thunar-volman-devel-0.5.3-1 is up to date -- reinstalling
warning: tumbler-devel-0.1.5-1 is up to date -- reinstalling
warning: xfce-utils-devel-4.7.3-1 is up to date -- reinstalling
warning: xfce4-appfinder-devel-4.7.1-1 is up to date -- reinstalling
warning: xfce4-dev-tools-devel-4.7.3-2 is up to date -- reinstalling
warning: xfce4-notifyd-devel-0.2.0-1 is up to date -- reinstalling
warning: xfce4-panel-devel-4.7.6-1 is up to date -- reinstalling
warning: xfce4-session-devel-4.7.2-1 is up to date -- reinstalling
warning: xfce4-settings-devel-4.7.6-1 is up to date -- reinstalling
warning: xfconf-devel-4.7.4-2 is up to date -- reinstalling
warning: xfdesktop-devel-4.7.4-1 is up to date -- reinstalling
warning: xfwm4-devel-4.7.3-1 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Targets (20): libxfce4util-devel-4.7.4-2  exo-devel-0.5.5-2  garcon-devel-0.1.4-1  xfconf-devel-4.7.4-2  libxfce4ui-devel-4.7.5-1  terminal-devel-0.4.5-2  xfce4-panel-devel-4.7.6-1
              thunar-devel-1.1.5-1  thunar-archive-plugin-devel-0.2.4-2  thunar-vfs-devel-1.1.0-3  thunar-volman-devel-0.5.3-1  tumbler-devel-0.1.5-1  xfce-utils-devel-4.7.3-1
              xfce4-appfinder-devel-4.7.1-1  xfce4-dev-tools-devel-4.7.3-2  xfce4-notifyd-devel-0.2.0-1  xfce4-session-devel-4.7.2-1  xfce4-settings-devel-4.7.6-1
              xfdesktop-devel-4.7.4-1  xfwm4-devel-4.7.3-1

Total Download Size:    7.46 MB
Total Installed Size:   44.11 MB

Proceed with installation? [Y/n] 
:: Retrieving packages from xfce4-devel...
 garcon-devel-0.1.4-1-x86_64                                                           84.3K  961.6K/s 00:00:00 [##################################################################] 100%
 xfce4-panel-devel-4.7.6-1-x86_64                                                     642.5K  949.1K/s 00:00:01 [##################################################################] 100%
 thunar-devel-1.1.5-1-x86_64                                                            2.7M 1061.9K/s 00:00:03 [##################################################################] 100%
 thunar-archive-plugin-devel-0.2.4-2-x86_64                                            16.6K  468.3K/s 00:00:00 [##################################################################] 100%
 thunar-volman-devel-0.5.3-1-x86_64                                                    73.5K  790.4K/s 00:00:00 [##################################################################] 100%
 tumbler-devel-0.1.5-1-x86_64                                                          98.6K  835.9K/s 00:00:00 [##################################################################] 100%
 xfce-utils-devel-4.7.3-1-x86_64                                                      239.8K  957.3K/s 00:00:00 [##################################################################] 100%
 xfce4-settings-devel-4.7.6-1-x86_64                                                  224.6K  964.9K/s 00:00:00 [##################################################################] 100%
 xfdesktop-devel-4.7.4-1-x86_64                                                         2.4M 1096.8K/s 00:00:02 [##################################################################] 100%
 xfwm4-devel-4.7.3-1-x86_64                                                          1026.6K 1193.2K/s 00:00:01 [##################################################################] 100%
checking package integrity...
(20/20) checking for file conflicts                                                                             [##################################################################] 100%
( 1/20) upgrading libxfce4util-devel                                                                            [##################################################################] 100%
( 2/20) upgrading exo-devel                                                                                     [##################################################################] 100%
gtk-update-icon-cache: Cache file created successfully.
( 3/20) upgrading garcon-devel                                                                                  [##################################################################] 100%
( 4/20) upgrading xfconf-devel                                                                                  [##################################################################] 100%
( 5/20) upgrading libxfce4ui-devel                                                                              [##################################################################] 100%
( 6/20) upgrading terminal-devel                                                                                [##################################################################] 100%
gtk-update-icon-cache: Cache file created successfully.
( 7/20) upgrading xfce4-panel-devel                                                                             [##################################################################] 100%
( 8/20) upgrading thunar-devel                                                                                  [##################################################################] 100%
( 9/20) upgrading thunar-archive-plugin-devel                                                                   [##################################################################] 100%
(10/20) upgrading thunar-vfs-devel                                                                              [##################################################################] 100%
(11/20) upgrading thunar-volman-devel                                                                           [##################################################################] 100%
(12/20) upgrading tumbler-devel                                                                                 [##################################################################] 100%
(13/20) upgrading xfce-utils-devel                                                                              [##################################################################] 100%
(14/20) upgrading xfce4-appfinder-devel                                                                         [##################################################################] 100%
(15/20) upgrading xfce4-dev-tools-devel                                                                         [##################################################################] 100%
(16/20) upgrading xfce4-notifyd-devel                                                                           [##################################################################] 100%
(17/20) upgrading xfce4-session-devel                                                                           [##################################################################] 100%
(18/20) upgrading xfce4-settings-devel                                                                          [##################################################################] 100%
(19/20) upgrading xfdesktop-devel                                                                               [##################################################################] 100%
(20/20) upgrading xfwm4-devel                                                                                   [##################################################################] 100%
gtk-update-icon-cache: Cache file created successfully.

Offline

Board footer

Powered by FluxBB